Subject: bug#45091: 27.1; M-x org-table-paste-rectangle

From: João Távora <[email-masked]>
Date: Fri, 15 Jan 2021 12:19:08 +0000

Okay, your bisect scripts points to one of my commits.

But I wish it was more automated.  Because I tried quite
hard and sometimes I _could_ reproduce the problem and
sometimes I couldn't.  So you could be seeing noise here.
Maybe you can make your script  do those copy-paste
operations automatically and reliably?  Then we'd be sure.

Anyway, I think is might be enough to point to a bug
that was introduced by my commit, or rather exposed
by it.  I'll have another look.

João

On Fri, Jan 15, 2021 at 12:11 PM Naoya Yamashita <[email-masked]> wrote:
>
>
> Hi, I'm new on this thread, but I can reproduce tak's issue and I
> tried to do bisect.
>
> Finally, I got 5b45c269cda09fe46e110adb6f6767040f4ade59 is a
> commit has a some problem.
>
> I'm happy if this information could help you.
>
> ```
> 5b45c269cda09fe46e110adb6f6767040f4ade59
> New jit-lock-antiblink-grace feature
>
> * lisp/jit-lock.el (jit-lock-antiblink-grace): New defcustom.
> (jit-lock--antiblink-line-beginning-position)
> (jit-lock--antiblink-string-or-comment): New variables
> (jit-lock--antiblink-post-command): New helper.
> (jit-lock-mode): Tweak post-command-hook and
> jit-lock-context-timer.
>
> * etc/NEWS: Mention jit-lock-antiblink-grace
>
> 2 files changed, 81 insertions(+), 1 deletion(-)
> etc/NEWS         |  7 ++++++
> lisp/jit-lock.el | 75 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-
> ```
>
> ---
>
> Here is my bash script and do `C-c l` (org-table-copy-region) on
> first table and `C-c ;` (org-table-paste-rectangle) on second table.
> (~/dev/tmp/taks-file.tex have first tak's mention contents.)
>
> ```sh
> make clean
> ./autogen.sh
> ./configure --prefix=$HOME/.local/head
> make -j6
> ./src/emacs -Q ~/dev/tmp/taks-file.tex --eval "             \
>   (progn                                                    \
>     (setq truncate-lines t)                                 \
>     (setq debug-on-error t)                                 \
>     (require 'org)                                          \
>     (require 'org-table)                                    \
>     (orgtbl-mode)                                           \
>     (global-set-key (kbd \"C-c l\")                         \
>        (lambda ()                                           \
>          (interactive)                                      \
>          (org-table-copy-region (1+ (org-table-begin)) (- (org-table-end) 2)))) \
>     (global-set-key (kbd \"C-c ;\")                         \
>        (lambda ()                                           \
>          (interactive)                                      \
>          (org-table-paste-rectangle)                        \
>          (set-buffer-modified-p nil))))"                    \
> 2>/dev/null
> ```
>
> And here is my bisect log.
> ```
> Bisect Log (14)
> git bisect start 'emacs-27.1' 'emacs-26.3'
> git bisect good 38564f8a664347c42f7614d9c91e0d49e4a073e8
> git bisect good 825fd4d34165e5edc718a9df93838a410d25ea81
> git bisect good 5c5c1b559313d06aab6516ff1b1acf1da3a01c7d
> git bisect bad d7cd4ab7d948427104003f1d35cf52a4eac45d0a
> git bisect bad 4b2c2faab83fe3b13430b837be7d450b5cd47caf
> git bisect good 16ce6dbef279bda70b4d60b4d2d0aff008bfa5f7
> git bisect bad 5063e38921de8cb872965abda32bcc6fd8894532
> git bisect bad 4c933077157ba409d645f4649c8a3a8e534d53d5
> git bisect good 096be9c4541329af259273fe604dc4f8669fbd8a
> git bisect bad bd95d66ae97f3dcfe73b972de935e27e434e49be
> git bisect bad 5b45c269cda09fe46e110adb6f6767040f4ade59
> git bisect good 0e774d4f355b4f12a625da5ca9602d1ba876bcc1
> 5b45c269cda09fe46e110adb6f6767040f4ade59 is the first bad commit
> ```
>
>
>

-- 
João Távora